package com.suelec.trainclass.controller;

import com.suelec.trainclass.service.TrainService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping
@Api(value = "培训班接口")
public class TrainController {
    @Resource
    TrainService trainService;

    /**
     * 我的收藏-培训班
     * @param id
     * @return
     */

    @ApiOperation("培训班查询")
    @PostMapping("selectTrainInfo")
    public Object selectTrainInfo(@RequestParam String id){
        return trainService.selectTrainInfo(id);
    }



    @ApiOperation("培训班查询")
    @PostMapping("selectTtrainClassList")
    public Object selectTtrainClassList(String id){
        return trainService.selectTtrainClassList(id);
    }
}
