package com.suelec.permission.service;

import com.suelec.permission.pojo.SysLog;
import com.suelec.permission.utils.Response;
import com.suelec.permission.vo.req.LogPageReqVo;
import com.suelec.permission.vo.resp.PageVo;

import java.util.List;

public interface LogService {

    /**
     * 分页与条件查询所有数据
     * @param logPageReqVo
     * @return
     */
    Response<PageVo<SysLog>> pageInfo(LogPageReqVo logPageReqVo);

    /**
     * 删除日志
     * @param logIds
     * @return
     */
    Response<String> deletedLog(List<String> logIds);
}
